[supervisord]
nodaemon=true
user=root

[program:teleflow-worker]
process_name=%(program_name)s_%(process_num)02d
command=php /var/www/html/worker.php
autostart=true
autorestart=true
stopasgroup=true
killasgroup=true
user=www-data
numprocs=2
redirect_stderr=true
stdout_logfile=/var/www/html/storage/logs/worker.log
stopwaitsecs=3600

[program:teleflow-cron]
command=/bin/sh -c "while [ true ]; do (php /var/www/html/cron.php); sleep 60; done"
autostart=true
autorestart=true
user=www-data
redirect_stderr=true
stdout_logfile=/var/www/html/storage/logs/cron.log
